<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="irstheme">

    <title>Services</title>

    <!--    <link href="assets/css/themify-icons.css" rel="stylesheet">-->
    <link th:href="@{~/assets/css/font-awesome.min.css}" href="assets/css/font-awesome.min.css" rel="stylesheet">
    <link th:href="@{~/assets/fonts/flaticon/flaticon.css}" href="assets/fonts/flaticon/flaticon.css" rel="stylesheet">
    <link th:href="@{~/assets/css/bootstrap.min.css}" href="assets/css/bootstrap.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/animate.css}" href="assets/css/animate.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.carousel.css}" href="assets/css/owl.carousel.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.theme.css}" href="assets/css/owl.theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick.css}" href="assets/css/slick.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick-theme.css}" href="assets/css/slick-theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.transitions.css}" href="assets/css/owl.transitions.css" rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.fancybox.css}" href="assets/css/jquery.fancybox.css" rel="stylesheet">
    <link th:href="@{~/assets/css/odometer-theme-default.css}" href="assets/css/odometer-theme-default.css"
          rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.bxslider.min.css}" href="assets/css/jquery.bxslider.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/style.css}" href="assets/css/style.css" rel="stylesheet">
    <link th:href="@{~/assets/css/responsive.css}" href="assets/css/responsive.css" rel="stylesheet">


    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script th:src="@{~/https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js}"
            src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script th:src="@{~/https://oss.maxcdn.com/respond/1.4.2/respond.min.js}"
            src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<!-- start page-wrapper -->
<div class="page-wrapper">

    <!-- start preloader -->
    <div class="preloader">
        <div class="lds-ripple">
            <div></div>
            <div></div>
        </div>
    </div>
    <!-- end preloader -->

    <!-- Start header -->
    <header id="header" class="site-header header-style-1">
        <a style="margin-left: 150px" class="navbar-brand" th:href="@{/}" href="#"><img src="../static/assets/images/our-logo.png" alt></a>
        <div th:insert="fragments/navbar.html"></div>
    </header>
    <!-- end of header -->
    <div class="service-page-style">
        <!-- start page-title -->
        <section class="page-title">
            <div class="container">
                <div class="row">
                    <div class="col col-xs-12">
                        <h2>Services</h2>
                        <ol class="breadcrumb">
                            <li><a href="visits.html">Visits</a></li>
                            <li>Services</li>
                        </ol>
                    </div>
                </div> <!-- end row -->
            </div> <!-- end container -->
        </section>
        <!-- end page-title -->
        <!-- .hx-team-area start -->
    </div>

    <a style="margin-left: 43%;margin-bottom: 100px;margin-top: 75px" th:if="${currentUser.isEmployee() && isHidden != true}"
       data-toggle="modal"
       data-target="#quoteModal" href="#"
       class="theme-btn-s2">Create Service</a>

    <div class="modal fade" id="quoteModal" tabindex="-1"
         role="dialog"
         aria-labelledby="quoteModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                    <h3 class="modal-title" id="quoteModalLabel">Add Service Details</h3>
                </div>
                <div class="modal-body">
                    <form id="register-form" th:action="@{/services/create}" th:object="${serviceDTO}"
                          method="POST">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="type">Type</label>
                                    <input id="type" name="type"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{type}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="price">Price</label>
                                    <input id="price" name="price"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{price}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="description">Description</label>
                                    <input id="description" name="description"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{description}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <p>Choose icon:</p>
                            <div class="services-block">
                                <div>
                                    <div class="col-md-4">
                                        <input type="checkbox" id="service" name="service" th:field="*{icon}"
                                               th:value="flaticon-service">
                                        <label th:text="service" for="service">Service</label>
                                        <div class="services-block-clearfix">
                                            <div class="services-icon">
                                                <i class="flaticon-service"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <input type="checkbox" id="battery" name="battery" th:field="*{icon}"
                                               th:value="flaticon-battery">
                                        <label th:text="battery" for="battery">Battery</label>
                                        <div class="services-block-clearfix">
                                            <div class="services-icon">
                                                <i class="flaticon-battery"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <input type="checkbox" id="maintenance" name="maintenance" th:field="*{icon}"
                                               th:value="flaticon-maintenance">
                                        <label th:text="maintenance" for="maintenance">maintenance</label>
                                        <div class="services-block-clearfix">
                                            <div class="services-icon">
                                                <i class="flaticon-maintenance"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <input type="checkbox" id="seat-belt"  th:field="*{icon}"
                                               th:value="flaticon-seat-belt">
                                        <label th:text="seat-bealt" for="seat-belt">seat belt</label>
                                        <div class="services-block-clearfix">
                                            <div class="services-icon">
                                                <i class="flaticon-seat-belt"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <input type="checkbox" id="pedal"  th:field="*{icon}"
                                               th:value="flaticon-pedal">
                                        <label th:text="flaticon-pedal" for="pedal">pedal</label>
                                        <div class="services-block-clearfix">
                                            <div class="services-icon">
                                                <i class="flaticon-pedal"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <input type="checkbox" id="jumper"  th:field="*{icon}"
                                               th:value="flaticon-jumper">
                                        <label th:text="flaticon-jumper" for="jumper">jumper</label>
                                        <div class="services-block-clearfix">
                                            <div class="services-icon">
                                                <i class="flaticon-jumper"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div><!-- /.row -->
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success">Create</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <section class="visits-list">
        <div style="margin-left: 400px; margin-right: 400px" class="visits-block">
            <div th:each="service: ${services}">
                <div class="visits-block-clearfix">
                    <div class="visit-icon">
                        <i th:class="${service.icon}" class="flaticon-chain"></i>
                    </div>
                    <div class="visit-content">
                        <div class="element1">
                            <h3>Type:</h3>
                            <p th:text="${service.type}">Oil Change</p>
                        </div>
                        <div class="element1">
                            <h3>Type:</h3>
                            <div class="grid-div">
                                <p th:text="${service.price}">0.00</p>
                                <p>BGN</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- end of page-wrapper -->


<!-- All JavaScript files
================================================== -->
<script th:src="@{~/assets/js/jquery.min.js}" src="assets/js/jquery.min.js"></script>
<script th:src="@{~/assets/js/bootstrap.min.js}" src="assets/js/bootstrap.min.js"></script>

<!-- Plugins for this template -->
<script th:src="@{~/assets/js/jquery-plugin-collection.js}" src="assets/js/jquery-plugin-collection.js"></script>

<!-- Custom script for this template -->
<script th:src="@{~/assets/js/script.js}" src="assets/js/script.js"></script>
</body>
</html>